"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _cspaceInput = require("cspace-input");
var _AdminSearchBar = _interopRequireDefault(require("../../../styles/cspace-ui/AdminSearchBar.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const {
  LineInput,
  MiniButton
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  filter: {
    "id": "invocableSearchBar.filter",
    "defaultMessage": "Filter by name"
  },
  clear: {
    "id": "invocableSearchBar.clear",
    "defaultMessage": "Clear"
  }
});
const propTypes = {
  value: _propTypes.default.string,
  onChange: _propTypes.default.func
};
const contextTypes = {
  intl: _reactIntl.intlShape
};
class InvocableSearchBar extends _react.Component {
  constructor() {
    super();
    this.handleClearButtonClick = this.handleClearButtonClick.bind(this);
    this.handleInputChange = this.handleInputChange.bind(this);
  }
  handleClearButtonClick() {
    const {
      onChange
    } = this.props;
    if (onChange) {
      onChange('');
    }
  }
  handleInputChange(value) {
    const {
      onChange
    } = this.props;
    if (onChange) {
      onChange(value);
    }
  }
  render() {
    const {
      value
    } = this.props;
    const {
      intl
    } = this.context;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _AdminSearchBar.default.common
    }, /*#__PURE__*/_react.default.createElement(LineInput, {
      label: intl.formatMessage(messages.filter),
      onChange: this.handleInputChange,
      value: value
    }), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(MiniButton, {
      autoWidth: true,
      onClick: this.handleClearButtonClick
    }, intl.formatMessage(messages.clear))));
  }
}
exports.default = InvocableSearchBar;
InvocableSearchBar.propTypes = propTypes;
InvocableSearchBar.contextTypes = contextTypes;