"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = LoginModal;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _reactIntl = require("react-intl");
var _cspaceLayout = require("cspace-layout");
var _LoginForm = _interopRequireDefault(require("./LoginForm"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const renderButtonBar = () => null;
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "loginModal.title",
    "defaultMessage": "Sign In"
  }
});
const propTypes = {
  isLoginPending: _propTypes.default.bool,
  isLoginSuccess: _propTypes.default.bool,
  isLoginWindowOpen: _propTypes.default.bool,
  isLoginWindowOpenFailed: _propTypes.default.bool,
  isOpen: _propTypes.default.bool,
  loginError: _propTypes.default.instanceOf(_immutable.default.Map),
  onCloseButtonClick: _propTypes.default.func,
  openLoginWindow: _propTypes.default.func
};
function LoginModal(props) {
  const {
    isLoginPending,
    isLoginSuccess,
    isLoginWindowOpen,
    isLoginWindowOpenFailed,
    isOpen,
    loginError,
    onCloseButtonClick,
    openLoginWindow
  } = props;
  if (!isOpen) {
    return null;
  }
  (0, _react.useEffect)(() => {
    if (isLoginSuccess && onCloseButtonClick) {
      onCloseButtonClick();
    }
  }, [isLoginSuccess]);
  return /*#__PURE__*/_react.default.createElement(_cspaceLayout.Modal, {
    isOpen: isOpen,
    title: /*#__PURE__*/_react.default.createElement("h1", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.title)),
    closeButtonClassName: "material-icons",
    closeButtonLabel: "close",
    renderButtonBar: renderButtonBar,
    onCloseButtonClick: onCloseButtonClick
  }, /*#__PURE__*/_react.default.createElement(_LoginForm.default, {
    isLoginExpired: true,
    isLoginPending: isLoginPending,
    isLoginSuccess: isLoginSuccess,
    isLoginWindowOpen: isLoginWindowOpen,
    isLoginWindowOpenFailed: isLoginWindowOpenFailed,
    loginError: loginError,
    openLoginWindow: openLoginWindow,
    showPrompt: true
  }));
}
LoginModal.propTypes = propTypes;