"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AuthorizedPage;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _LoginForm = _interopRequireDefault(require("../login/LoginForm"));
var _AuthorizedPage = _interopRequireDefault(require("../../../styles/cspace-ui/AuthorizedPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  history: _propTypes.default.shape({
    replace: _propTypes.default.func.isRequired
  }).isRequired,
  isLoginPending: _propTypes.default.bool,
  isLoginSuccess: _propTypes.default.bool,
  landingPath: _propTypes.default.string,
  location: _propTypes.default.shape({
    search: _propTypes.default.string
  }).isRequired,
  loginError: _propTypes.default.instanceOf(_immutable.default.Map),
  receiveAuthCode: _propTypes.default.func.isRequired
};
const contextTypes = {
  config: _propTypes.default.shape({
    recordTypes: _propTypes.default.object
  }).isRequired
};
function AuthorizedPage(props, context = {}) {
  const {
    config
  } = context;
  const {
    isLoginPending,
    isLoginSuccess,
    location,
    loginError,
    receiveAuthCode
  } = props;
  (0, _react.useEffect)(() => {
    const {
      search
    } = location;
    const params = new URLSearchParams(search);
    const authCodeRequestId = params.get('state');
    const authCode = params.get('code');
    receiveAuthCode(config, authCodeRequestId, authCode);
  }, []);
  (0, _react.useEffect)(() => {
    if (isLoginSuccess) {
      const {
        history,
        landingPath
      } = props;
      history.replace(landingPath);
    }
  }, [isLoginSuccess]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _AuthorizedPage.default.common
  }, /*#__PURE__*/_react.default.createElement(_LoginForm.default, {
    isLoginSuccess: isLoginSuccess,
    isLoginPending: isLoginPending,
    loginError: loginError
  }));
}
AuthorizedPage.propTypes = propTypes;
AuthorizedPage.contextTypes = contextTypes;