"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const propTypes = {
  account: _propTypes.default.instanceOf(_immutable.default.Map),
  userId: _propTypes.default.string,
  findAccount: _propTypes.default.func
};
class AccountLabel extends _react.Component {
  componentDidMount() {
    const {
      findAccount,
      userId
    } = this.props;
    if (findAccount) {
      findAccount(userId);
    }
  }
  componentDidUpdate(prevProps) {
    const {
      userId,
      findAccount
    } = this.props;
    if (findAccount && prevProps.userId !== userId) {
      findAccount(userId);
    }
  }
  render() {
    const {
      account,
      userId
    } = this.props;
    let label;
    if (account) {
      label = account.get('screenName');
    } else if (userId) {
      label = userId;
    }
    if (label) {
      return /*#__PURE__*/_react.default.createElement("span", null, label);
    }
    return null;
  }
}
exports.default = AccountLabel;
AccountLabel.propTypes = propTypes;