"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ERR_WRONG_TENANT = exports.ERR_VALIDATION = exports.ERR_UNKNOWN_VOCABULARY = exports.ERR_UNKNOWN_SUBRESOURCE = exports.ERR_UNKNOWN_RECORD_TYPE = exports.ERR_UNABLE_TO_VALIDATE = exports.ERR_PW_NOT_CONFIRMED = exports.ERR_NOT_FOUND = exports.ERR_NOT_ALLOWED = exports.ERR_NETWORK = exports.ERR_MISSING_VOCABULARY = exports.ERR_MISSING_REQ_FIELD = exports.ERR_MISSING_PW_CONFIRM = exports.ERR_MISSING_PW = exports.ERR_MISSING_EMAIL = exports.ERR_INVALID_SORT = exports.ERR_INVALID_RELATED_TYPE = exports.ERR_INVALID_PW = exports.ERR_INVALID_EMAIL = exports.ERR_INVALID_CSID = exports.ERR_INVALID_CREDENTIALS = exports.ERR_DATA_TYPE = exports.ERR_COMPUTE = exports.ERR_AUTH_CODE_REQUEST_NOT_FOUND = exports.ERR_API = exports.ERR_ACCOUNT_NOT_FOUND = exports.ERR_ACCOUNT_INVALID = exports.ERR_ACCOUNT_INACTIVE = void 0;
const ERR_NOT_FOUND = 'ERR_NOT_FOUND';
exports.ERR_NOT_FOUND = ERR_NOT_FOUND;
const ERR_NOT_ALLOWED = 'ERR_NOT_ALLOWED';
exports.ERR_NOT_ALLOWED = ERR_NOT_ALLOWED;
const ERR_UNKNOWN_RECORD_TYPE = 'ERR_UNKNOWN_RECORD_TYPE';
exports.ERR_UNKNOWN_RECORD_TYPE = ERR_UNKNOWN_RECORD_TYPE;
const ERR_UNKNOWN_VOCABULARY = 'ERR_UNKNOWN_VOCABULARY';
exports.ERR_UNKNOWN_VOCABULARY = ERR_UNKNOWN_VOCABULARY;
const ERR_MISSING_VOCABULARY = 'ERR_MISSING_VOCABULARY';
exports.ERR_MISSING_VOCABULARY = ERR_MISSING_VOCABULARY;
const ERR_UNKNOWN_SUBRESOURCE = 'ERR_UNKNOWN_SUBRESOURCE';
exports.ERR_UNKNOWN_SUBRESOURCE = ERR_UNKNOWN_SUBRESOURCE;
const ERR_INVALID_CSID = 'ERR_INVALID_CSID';
exports.ERR_INVALID_CSID = ERR_INVALID_CSID;
const ERR_INVALID_RELATED_TYPE = 'ERR_INVALID_RELATED_TYPE';
exports.ERR_INVALID_RELATED_TYPE = ERR_INVALID_RELATED_TYPE;
const ERR_INVALID_SORT = 'ERR_INVALID_SORT';
exports.ERR_INVALID_SORT = ERR_INVALID_SORT;
const ERR_COMPUTE = 'ERR_COMPUTE';
exports.ERR_COMPUTE = ERR_COMPUTE;
const ERR_API = 'ERR_API';

/*
 * Validation errors
 */

// Generic validation error. A field value is invalid, for an unspecified reason.
exports.ERR_API = ERR_API;
const ERR_VALIDATION = 'ERR_VALIDATION';

// An unexpected error occurred while trying to validate.
exports.ERR_VALIDATION = ERR_VALIDATION;
const ERR_UNABLE_TO_VALIDATE = 'ERR_UNABLE_TO_VALIDATE';

// A required field does not have a value.
exports.ERR_UNABLE_TO_VALIDATE = ERR_UNABLE_TO_VALIDATE;
const ERR_MISSING_REQ_FIELD = 'ERR_MISSING_REQ_FIELD';

// A field's value does not have the expected data type.
exports.ERR_MISSING_REQ_FIELD = ERR_MISSING_REQ_FIELD;
const ERR_DATA_TYPE = 'ERR_DATA_TYPE';

/*
 * Password reset errors
 */
exports.ERR_DATA_TYPE = ERR_DATA_TYPE;
const ERR_MISSING_EMAIL = 'ERR_MISSING_EMAIL';
exports.ERR_MISSING_EMAIL = ERR_MISSING_EMAIL;
const ERR_INVALID_EMAIL = 'ERR_INVALID_EMAIL';
exports.ERR_INVALID_EMAIL = ERR_INVALID_EMAIL;
const ERR_MISSING_PW = 'ERR_MISSING_PW';
exports.ERR_MISSING_PW = ERR_MISSING_PW;
const ERR_MISSING_PW_CONFIRM = 'ERR_MISSING_PW_CONFIRM';
exports.ERR_MISSING_PW_CONFIRM = ERR_MISSING_PW_CONFIRM;
const ERR_INVALID_PW = 'ERR_INVALID_PW';
exports.ERR_INVALID_PW = ERR_INVALID_PW;
const ERR_PW_NOT_CONFIRMED = 'ERR_PW_NOT_CONFIRMED';

/*
 * Login errors
 */
exports.ERR_PW_NOT_CONFIRMED = ERR_PW_NOT_CONFIRMED;
const ERR_ACCOUNT_INACTIVE = 'ERR_ACCOUNT_INACTIVE';
exports.ERR_ACCOUNT_INACTIVE = ERR_ACCOUNT_INACTIVE;
const ERR_ACCOUNT_INVALID = 'ERR_ACCOUNT_INVALID';
exports.ERR_ACCOUNT_INVALID = ERR_ACCOUNT_INVALID;
const ERR_ACCOUNT_NOT_FOUND = 'ERR_ACCOUNT_NOT_FOUND';
exports.ERR_ACCOUNT_NOT_FOUND = ERR_ACCOUNT_NOT_FOUND;
const ERR_INVALID_CREDENTIALS = 'ERR_INVALID_CREDENTIALS';
exports.ERR_INVALID_CREDENTIALS = ERR_INVALID_CREDENTIALS;
const ERR_NETWORK = 'ERR_NETWORK';
exports.ERR_NETWORK = ERR_NETWORK;
const ERR_WRONG_TENANT = 'ERR_WRONG_TENANT';
exports.ERR_WRONG_TENANT = ERR_WRONG_TENANT;
const ERR_AUTH_CODE_REQUEST_NOT_FOUND = 'ERR_AUTH_CODE_REQUEST_NOT_FOUND';
exports.ERR_AUTH_CODE_REQUEST_NOT_FOUND = ERR_AUTH_CODE_REQUEST_NOT_FOUND;