"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = configContext => data => {
  const {
    getPart
  } = configContext.recordDataHelpers;
  const {
    getDisplayName
  } = configContext.refNameHelpers;
  if (!data) {
    return '';
  }
  const common = getPart(data, 'insurances_common');
  if (!common) {
    return '';
  }
  const referenceNumber = common.get('insuranceIndemnityReferenceNumber');
  const insurerIndemnifier = getDisplayName(common.get('insurerIndemnifier'));
  return [referenceNumber, insurerIndemnifier].filter(part => !!part).join(' – ');
};
exports.default = _default;