"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getKeyword = exports.getAdvanced = exports.default = void 0;
var _immutable = _interopRequireDefault(require("immutable"));
var _actionCodes = require("../constants/actionCodes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = (state = _immutable.default.Map(), action) => {
  switch (action.type) {
    case _actionCodes.SET_SEARCH_PAGE_ADVANCED:
      return state.set('advanced', _immutable.default.fromJS(action.payload));
    case _actionCodes.SET_SEARCH_PAGE_KEYWORD:
      return state.set('keyword', action.payload);
    case _actionCodes.SET_SEARCH_PAGE_RECORD_TYPE:
      return state.delete('advanced');
    case _actionCodes.CLEAR_SEARCH_PAGE:
      return state.clear();
    default:
      return state;
  }
};
exports.default = _default;
const getAdvanced = state => state.get('advanced');
exports.getAdvanced = getAdvanced;
const getKeyword = state => state.get('keyword');
exports.getKeyword = getKeyword;