"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getVocabulary = exports.getRecordType = exports.getKeyword = exports.getAdvanced = exports.default = void 0;
var _immutable = _interopRequireDefault(require("immutable"));
var _actionCodes = require("../constants/actionCodes");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = (state = _immutable.default.Map(), action) => {
  switch (action.type) {
    case _actionCodes.SET_SEARCH_TO_SELECT_ADVANCED:
      return state.set('advanced', _immutable.default.fromJS(action.payload));
    case _actionCodes.SET_SEARCH_TO_SELECT_KEYWORD:
      return state.set('keyword', action.payload);
    case _actionCodes.SET_SEARCH_TO_SELECT_RECORD_TYPE:
      return state.set('recordType', action.payload).delete('advanced');
    case _actionCodes.SET_SEARCH_TO_SELECT_VOCABULARY:
      return state.setIn(['vocabulary', state.get('recordType')], action.payload);
    case _actionCodes.CLEAR_SEARCH_TO_SELECT:
      return state.delete('advanced').delete('keyword');
    default:
      return state;
  }
};
exports.default = _default;
const getAdvanced = state => state.get('advanced');
exports.getAdvanced = getAdvanced;
const getKeyword = state => state.get('keyword');
exports.getKeyword = getKeyword;
const getRecordType = state => state.get('recordType');
exports.getRecordType = getRecordType;
const getVocabulary = (state, recordType) => state.getIn(['vocabulary', recordType]);
exports.getVocabulary = getVocabulary;