export const ERR_NOT_FOUND = 'ERR_NOT_FOUND';
export const ERR_NOT_ALLOWED = 'ERR_NOT_ALLOWED';
export const ERR_UNKNOWN_RECORD_TYPE = 'ERR_UNKNOWN_RECORD_TYPE';
export const ERR_UNKNOWN_VOCABULARY = 'ERR_UNKNOWN_VOCABULARY';
export const ERR_MISSING_VOCABULARY = 'ERR_MISSING_VOCABULARY';
export const ERR_UNKNOWN_SUBRESOURCE = 'ERR_UNKNOWN_SUBRESOURCE';
export const ERR_INVALID_CSID = 'ERR_INVALID_CSID';
export const ERR_INVALID_RELATED_TYPE = 'ERR_INVALID_RELATED_TYPE';
export const ERR_INVALID_SORT = 'ERR_INVALID_SORT';
export const ERR_COMPUTE = 'ERR_COMPUTE';
export const ERR_API = 'ERR_API';

/*
 * Validation errors
 */

// Generic validation error. A field value is invalid, for an unspecified reason.
export const ERR_VALIDATION = 'ERR_VALIDATION';

// An unexpected error occurred while trying to validate.
export const ERR_UNABLE_TO_VALIDATE = 'ERR_UNABLE_TO_VALIDATE';

// A required field does not have a value.
export const ERR_MISSING_REQ_FIELD = 'ERR_MISSING_REQ_FIELD';

// A field's value does not have the expected data type.
export const ERR_DATA_TYPE = 'ERR_DATA_TYPE';

/*
 * Password reset errors
 */

export const ERR_MISSING_EMAIL = 'ERR_MISSING_EMAIL';
export const ERR_INVALID_EMAIL = 'ERR_INVALID_EMAIL';
export const ERR_MISSING_PW = 'ERR_MISSING_PW';
export const ERR_MISSING_PW_CONFIRM = 'ERR_MISSING_PW_CONFIRM';
export const ERR_INVALID_PW = 'ERR_INVALID_PW';
export const ERR_PW_NOT_CONFIRMED = 'ERR_PW_NOT_CONFIRMED';

/*
 * Login errors
 */

export const ERR_ACCOUNT_INACTIVE = 'ERR_ACCOUNT_INACTIVE';
export const ERR_ACCOUNT_INVALID = 'ERR_ACCOUNT_INVALID';
export const ERR_ACCOUNT_NOT_FOUND = 'ERR_ACCOUNT_NOT_FOUND';
export const ERR_INVALID_CREDENTIALS = 'ERR_INVALID_CREDENTIALS';
export const ERR_NETWORK = 'ERR_NETWORK';
export const ERR_WRONG_TENANT = 'ERR_WRONG_TENANT';
export const ERR_AUTH_CODE_REQUEST_NOT_FOUND = 'ERR_AUTH_CODE_REQUEST_NOT_FOUND';
